# define driver name, version and release
%define		drvname	broadcom-wl
%define		drvver	6.30.223.141
%define		drvrel	1.mga3.nonfree

# define core kernel version we build against
%define 	kernver		3.10.40
%define		kernrel		1.mga3

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 15
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	Freeware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 5.100.82.112-49
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	Commercial							\
URL:		http://www.broadcom.com/support/802.11/linux_sta.php		\
Group:		System/Kernel and hardware					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	%{drvname}-common >= %{drvver}-%{drvrel}			\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Suggests:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%post -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	Commercial							\
URL:		http://www.broadcom.com/support/802.11/linux_sta.php		\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/linux-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/linux-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/wl.ko
done


%changelog
* Sat May 17 2014 tmb <tmb> 6.30.223.141-15.mga3
+ Revision: 623115
- rebuild for kernel-3.10.40-1.mga3
- rebuild for kernel-3.10.28-1.mga3
- rebuild for kernel-3.10.27-1.mga3
- rebuild for kernel-3.10.25-1.mga3
- rebuild for kernel-3.10.24-2.mga3
- rebuild for kernel-3.10.24-1.mga3
- rebuild for kernel-3.10.22-1.mga3
- rebuild for kernel-3.10.19-1.mga3
- rebuild for kernel-3.10.18-1.mga3
- rebuild for kernel-3.10.16-1.mga3
- rebuild for broadcom-wl-6.30.223.141-1.mga3
- rebuild for kernel-3.10.15-1.mga3
- rebuild for kernel-3.10.12-1.mga3
- rebuild for kernel-3.8.13.4-1.mga3
- rebuild for kernel-3.8.13.3-2.mga3
- rebuild for kernel-3.8.13.3-1.mga3

* Tue May 14 2013 tmb <tmb> 5.100.82.112-80.mga3.nonfree
+ Revision: 413201
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 5.100.82.112-79.mga3.nonfree
+ Revision: 412841
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 5.100.82.112-78.mga3.nonfree
+ Revision: 412683
- rebuild for kernel-3.8.12-1.mga3

* Sat May 04 2013 tmb <tmb> 5.100.82.112-77.mga3.nonfree
+ Revision: 412319
- rebuild for broadcom-wl-5.100.82.112-12.mga3

* Sat May 04 2013 tmb <tmb> 5.100.82.112-76.mga3.nonfree
+ Revision: 412263
- rebuild for broadcom-wl-5.100.82.112-11.mga3

* Wed May 01 2013 tmb <tmb> 5.100.82.112-75.mga3.nonfree
+ Revision: 411828
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 5.100.82.112-74.mga3.nonfree
+ Revision: 411361
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 5.100.82.112-73.mga3.nonfree
+ Revision: 410898
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 5.100.82.112-72.mga3.nonfree
+ Revision: 410591
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 5.100.82.112-71.mga3.nonfree
+ Revision: 410302
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 5.100.82.112-70.mga3.nonfree
+ Revision: 409933
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 5.100.82.112-69.mga3.nonfree
+ Revision: 409292
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 5.100.82.112-68.mga3.nonfree
+ Revision: 408760
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 5.100.82.112-67.mga3.nonfree
+ Revision: 406632
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 5.100.82.112-66.mga3.nonfree
+ Revision: 403964
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 5.100.82.112-65.mga3.nonfree
+ Revision: 403317
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 5.100.82.112-64.mga3.nonfree
+ Revision: 401092
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 5.100.82.112-63.mga3.nonfree
+ Revision: 400592
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 5.100.82.112-62.mga3.nonfree
+ Revision: 399989
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 5.100.82.112-61.mga3.nonfree
+ Revision: 399314
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 5.100.82.112-60.mga3.nonfree
+ Revision: 397381
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 5.100.82.112-59.mga3.nonfree
+ Revision: 394958
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 5.100.82.112-58.mga3.nonfree
+ Revision: 392634
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-57.mga3.nonfree
+ Revision: 391732
- rebuild for fixed broadcom-wl

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-56.mga3.nonfree
+ Revision: 391705
- require broadcom-wl-common for blacklist and ldetect-lst pciids list

* Fri Jan 18 2013 tmb <tmb> 5.100.82.112-55.mga3.nonfree
+ Revision: 389501
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 5.100.82.112-54.mga3.nonfree
+ Revision: 388893
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Tue Jan 15 2013 fwang <fwang> 5.100.82.112-53.mga3.nonfree
+ Revision: 388332
- rebuild for new broadcom-wl

* Thu Jan 10 2013 tmb <tmb> 5.100.82.112-52.mga3.nonfree
+ Revision: 344824
- rebuil for kernel-3.8.0-0.rc3.1.mga3 and broadcom-wl-5.100.82.112-6.mga3

* Tue Dec 18 2012 tmb <tmb> 5.100.82.112-51.mga3.nonfree
+ Revision: 332487
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 5.100.82.112-50.mga3.nonfree
+ Revision: 329578
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 5.100.82.112-49.mga3.nonfree
+ Revision: 327629
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Thu Nov 01 2012 tmb <tmb> 5.100.82.112-48.mga3.nonfree
+ Revision: 311845
- rebuild for kernel-3.6.5-1.mga3

* Sun Oct 28 2012 tmb <tmb> 5.100.82.112-47.mga3.nonfree
+ Revision: 311235
- rebuild for kernel-3.6.4-1.mga3

* Sun Oct 21 2012 tmb <tmb> 5.100.82.112-46.mga3.nonfree
+ Revision: 309018
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 5.100.82.112-45.mga3.nonfree
+ Revision: 307878
- rebuild for kernel-3.6.2-1.mga3

* Sun Sep 30 2012 tmb <tmb> 5.100.82.112-44.mga3.nonfree
+ Revision: 300735
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sat Sep 15 2012 tmb <tmb> 5.100.82.112-43.mga3.nonfree
+ Revision: 294131
- rebuild for kernel-3.5.4-1.mga3

* Tue Sep 11 2012 tmb <tmb> 5.100.82.112-42.mga3.nonfree
+ Revision: 292391
- rebuild for kernel-3.5.3-3.mga3

* Thu Aug 30 2012 tmb <tmb> 5.100.82.112-41.mga3.nonfree
+ Revision: 285701
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 5.100.82.112-40.mga3.nonfree
+ Revision: 284279
- rebuild for kernel-3.5.3-1.mga3

* Thu Aug 16 2012 tmb <tmb> 5.100.82.112-39.mga3.nonfree
+ Revision: 281606
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 5.100.82.112-38.mga3.nonfree
+ Revision: 280500
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 5.100.82.112-37.mga3.nonfree
+ Revision: 275092
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 20 2012 tmb <tmb> 5.100.82.112-36.mga3.nonfree
+ Revision: 272918
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 5.100.82.112-35.mga3.nonfree
+ Revision: 272417
- rebuild for kernel-3.4.5-1.mga3

* Sun Jul 01 2012 tmb <tmb> 5.100.82.112-34.mga3.nonfree
+ Revision: 266247
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 5.100.82.112-33.mga3.nonfree
+ Revision: 264246
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 5.100.82.112-32.mga3.nonfree
+ Revision: 262344
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 5.100.82.112-31.mga3.nonfree
+ Revision: 259026
- rebuild for kernel-3.4.2-1.mga3

* Tue Jun 05 2012 tmb <tmb> 5.100.82.112-30.mga3.nonfree
+ Revision: 255751
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 5.100.82.112-29.mga3.nonfree
+ Revision: 247965
- rebuild for fixed broadcom-wl-5.100.82.112-5.mga3
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 5.100.82.112-27.mga2.nonfree
+ Revision: 235855
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 5.100.82.112-26.mga2.nonfree
+ Revision: 235566
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 5.100.82.112-25.mga2.nonfree
+ Revision: 235201
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 5.100.82.112-24.mga2.nonfree
+ Revision: 233922
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 5.100.82.112-23.mga2.nonfree
+ Revision: 232873
- rebuild for kernel-3.3.3-1.mga2

* Wed Apr 04 2012 tmb <tmb> 5.100.82.112-22.mga2.nonfree
+ Revision: 228368
- rebuild for kernel-3.3.1-2.mga2

* Tue Apr 03 2012 tmb <tmb> 5.100.82.112-21.mga2.nonfree
+ Revision: 228075
- rebuild for kernel-3.3.1-1.mga2

* Sun Mar 25 2012 tmb <tmb> 5.100.82.112-20.mga2.nonfree
+ Revision: 226184
- rebuild for kernel-3.3.0-2.mga2

* Mon Mar 19 2012 tmb <tmb> 5.100.82.112-19.mga2.nonfree
+ Revision: 224372
- rebuild for kernel-3.3.0-1.mga2

* Sun Mar 11 2012 tmb <tmb> 5.100.82.112-18.mga2.nonfree
+ Revision: 222560
- rebuild for kernel 3.3-rc7

* Mon Mar 05 2012 tmb <tmb> 5.100.82.112-17.mga2.nonfree
+ Revision: 219301
- rebuild for kernel-3.3.0-0.rc6.1.mga2

* Sat Mar 03 2012 tmb <tmb> 5.100.82.112-16.mga2.nonfree
+ Revision: 217301
- rebuild for kernel-3.2.9-2.mga2

* Thu Mar 01 2012 tmb <tmb> 5.100.82.112-15.mga2.nonfree
+ Revision: 216399
- rebuild for kernel-3.2.9-1.mga2

* Sat Feb 25 2012 tmb <tmb> 5.100.82.112-13.mga2.nonfree
+ Revision: 214771
- rebuild for kernel-3.2.7-1.mga2

* Thu Feb 16 2012 tmb <tmb> 5.100.82.112-12.mga2.nonfree
+ Revision: 209783
- rebuild for kernel-3.2.6-3.mga2
- compress modules with xz

* Tue Feb 14 2012 tmb <tmb> 5.100.82.112-11.mga2.nonfree
+ Revision: 208935
- rebuild for kernel-3.2.6-2.mga2

* Sun Feb 12 2012 tmb <tmb> 5.100.82.112-10.mga2.nonfree
+ Revision: 208062
- rebuild for kernel-3.2.6-0.rc1.1.mga2

* Mon Feb 06 2012 tmb <tmb> 5.100.82.112-9.mga2.nonfree
+ Revision: 205604
- rebuild for kernel-3.2.5-1.mga2

* Thu Jan 26 2012 tmb <tmb> 5.100.82.112-8.mga2.nonfree
+ Revision: 201951
- rebuild for kernel-3.2.2-1.mga2

* Fri Jan 20 2012 tmb <tmb> 5.100.82.112-7.mga2.nonfree
+ Revision: 198863
- build with kernel-3.2.1-2.mga2

* Sun Jan 15 2012 tmb <tmb> 5.100.82.112-6.mga2.nonfree
+ Revision: 196454
- kernel-xen-pvops does not exist anymore
- build against kernel-3.2.1-1.mga2

* Sun Jan 15 2012 tmb <tmb> 5.100.82.112-5.mga2.nonfree
+ Revision: 196309
- fix package name to match kernel uname -r

* Thu Jan 05 2012 tmb <tmb> 5.100.82.112-4.mga2.nonfree
+ Revision: 191564
- build with kernel-3.2.0-1.mga2

* Thu Dec 29 2011 tmb <tmb> 5.100.82.112-3.mga2.nonfree
+ Revision: 188526
- build with kernel-3.2.0-0.rc7.2.mga2
- fix url

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-2.mga2.nonfree
+ Revision: 187935
- build with broadcom-wl-5.100.82.112-4.mga2.nonfree
- build for kernel-3.2.0-0.rc7.1.mga2

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-1.mga2.nonfree
+ Revision: 187879
- imported package kmod-broadcom-wl

